package edu.cmu.paid.authentication.test;

import java.io.*;
import java.lang.*;
import java.util.Random;
import java.math.BigInteger;
import edu.cmu.paid.authentication.crypto.*;
import edu.cmu.paid.authentication.util.*;

public class TestKeyGen {
    public static void main(String [] args) {
	byte [] p = ByteConverterWrapper.toByteArray(631);
	byte [] q = ByteConverterWrapper.toByteArray(409);
	int count = 0;

	while (count <10000) {
	  System.out.print(count+"\t");
	  Rsa crypt= TestWrapper.constructRsa(p, q);
	  BigInteger [] keys=crypt.genKeys();

	  if (crypt.testKeys(keys[0], keys[1])==false) {
	    System.out.println("The keys are " + keys[0].toString() + "\t" + keys[1].toString() + " wrong.");
	  }

	  count++;
	}

	/*
	System.out.println("The public key is "+keys[0].toString());
	System.out.println("The private key is "+keys[1].toString());
	*/


    }
}
